Travel Rule API Reference 04-CodeVASP-Cipher
For Addon service API requests, the data to be entered in the Header and Body is encrypted and provided as a response. It is convenient to use the values received as is for the corresponding API according to each API type.
POST /api/v1/code/api-payloads
Name Type Required Description accept string Optional application/jsoncontent-type string Required application/json
Name Type Required Description allianceName string Required Travel Rule protocol code (default: CODE) apiType string Required The type of API action (see below) request object Optional Specific request payload depending on apiType remotePublicKey string Optional Counterparty Public Key (required for some types)
Name Required Type Description allianceName Required string Default: CODE apiType Required string SEARCH_ADDRESS_REQUESTrequest Required object Request Body
{
"allianceName" : "CODE" ,
"apiType" : "SEARCH_ADDRESS_REQUEST" ,
"request" : {
"currency" : "XRP" ,
"beneficiaryWalletAddress" : "0x1234567890123456789012345678901234567890" ,
"requestId" : "fafd59e2-aff7-4cff-b7d8-9caa0cda70da"
}
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key body Required string Generated payload
{
"signature" : "iDONJT6ck7bZD2++nGrknOR+o+aultZpwvWGRzabOePQvylN93A/9Zs6g+9mD7cnSMkE7NpuAKtKHNZvWP0RDA==" ,
"nonce" : 1048167312 ,
"dateTime" : "2023-06-21T05:25:16Z" ,
"publicKey" : "LOpv3Vd7PKLrlDmk/MFi6mc2rPWhi3G0H3D74dayxSo=" ,
"body" : "{ \" currency \" : \" XRP \" , \" addressNumber \" : \" rHcFoo6a9qT5NHiVn1THQRhsEGcxtYCV4d:memo or tag \" , \" requestId \" : \" fafd59e2-aff7-4cff-b7d8-9caa0cda70da \" }"
}
Name Required Type Description allianceName Required string Default: CODE apiType Required string SEARCH_ADDRESS_RESULT
{
"allianceName" : "CODE" ,
"apiType" : "SEARCH_ADDRESS_RESULT"
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key
{
"signature" : "iDONJT6ck7bZD2++nGrknOR+o+aultZpwvWGRzabOePQvylN93A/9Zs6g+9mD7cnSMkE7NpuAKtKHNZvWP0RDA==" ,
"nonce" : 1048167312 ,
"dateTime" : "2023-06-21T05:25:16Z" ,
"publicKey" : "LOpv3Vd7PKLrlDmk/MFi6mc2rPWhi3G0H3D74dayxSo="
}
Name Required Type Description allianceName Required string Default: CODE apiType Required string SEARCH_TRANSACTION_IDrequest Required object Request Body
{
"allianceName" : "CODE" ,
"apiType" : "SEARCH_TRANSACTION_ID" ,
"request" : {
"txid" : "0xac52211cafdbfe2b59571eed29bd22608984df5e11d771bb620a2213a333a674" ,
"beneficiaryAddress" : "address:tag" ,
"requestId" : "fafd59e2-aff7-4cff-b7d8-9caa0cda70da"
}
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key body Required string Generated payload
{
"signature" : "JY+mP1kj2zIQAzxUiQtwRrFmt0Rs+DRxYXHdCkpImC3qiPWEqploS8zM6s8r1AX8iiy+gBrcOaC3EdooR+VgBQ==" ,
"nonce" : 1324920960 ,
"dateTime" : "2024-05-23T05:16:18Z" ,
"publicKey" : "sG65Uno5V+Vm6XOXuwSuM5XMn+HgpqOZi+8PGaTIAMM=" ,
"body" : "{ \" txid \" : \" 0xac52211cafdbfe2b59571eed29bd22608984df5e11d771bb620a2213a333a674 \" , \" requestId \" : \" fafd59e2-aff7-4cff-b7d8-9caa0cda70da \" , \" beneficiaryAddress \" : \" address:tag \" }"
}
Name Required Type Description allianceName Required string Default: CODE apiType Required string FETCH_TRANSACTION_ID
{
"allianceName" : "CODE" ,
"apiType" : "FETCH_TRANSACTION_ID"
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key
{
"signature" : "GNAy7n2KrjRiV1Cgbi/ifVbQipchsqFGS5DULqxeYZDgiV+uy3IDpbD5PrwFyUJkDUeq+3O5VbY8m6uAjIfpDA==" ,
"nonce" : 501286944 ,
"dateTime" : "2024-05-23T05:16:49Z" ,
"publicKey" : "sG65Uno5V+Vm6XOXuwSuM5XMn+HgpqOZi+8PGaTIAMM="
}
Name Required Type Description allianceName Required string Default: CODE apiType Required string VERIFICATION_TRANSACTION_IDremotePublicKey Required string originator VASP's Public Key request Required object Request Body
{
"allianceName" : "CODE" ,
"remotePublicKey" : "8DJomhrvr0zD11+m3nwG3ZeO9OsSY8uLHdA7WgoaX0g=" ,
"apiType" : "VERIFICATION_TRANSACTION_ID" ,
"request" : {
"txid" : "0xac52211cafdbfe2b59571eed29bd22608984df5e11d771bb620a2213a333a674" ,
"beneficiaryAddress" : "address:tag" ,
"transferId" : "fafd59e2-aff7-4cff-b7d8-9caa0cda70da" ,
"beneficiaryWalletAddress" : "012345678901" ,
"beneficiaryNameIdentifierType" : "LEGL" ,
"beneficiaryCustomerIdentification" : "3213213qweqwe213312" ,
"beneficiaryNaturalPersonLastName" : "스미스" ,
"beneficiaryNaturalPersonFirstName" : "앨리스" ,
"beneficiaryNaturalPersonLocalLastName" : "Smith" ,
"beneficiaryNaturalPersonLocalFirstName" : "Alice" ,
"beneficiaryLegalName" : "Coinone., Ltd." ,
"beneficiaryLegalLocalName" : "(주)코인원" ,
"beneficiaryLegalPersonList" : [
{
"firstName" : "Minsu" ,
"lastName" : "Kim" ,
"localFirstName" : "민수" ,
"localLastName" : "김"
},
{
"firstName" : "Soonhee" ,
"lastName" : "Lee" ,
"localFirstName" : "순희" ,
"localLastName" : "이" }
],
"beneficiaryVaspCountryOfRegistration" : "KR" ,
"beneficiaryVaspLegalName" : "Korbit Inc. beneficiaryVaspLegalName" ,
"beneficiaryVaspNameIdentifierType" : "LEGL" ,
"beneficiaryVaspAddressType" : "GEOG" ,
"beneficiaryVaspTownName" : "Seoul" ,
"beneficiaryVaspAddressLine" : [
"14 Teheran-ro 4-gil, Gangnam-gu" ,
"4th floor"
],
"beneficiaryVaspCountry" : "KR" ,
"beneficiaryVaspNationalIdentifier" : "1234567890" ,
"beneficiaryVaspNationalIdentifierType" : "RAID" ,
"beneficiaryVaspRegistrationAuthority" : "RA000657"
}
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key body Required string Generated payload
{
"signature" : "6kfex70cuBgi6yYqRIFmDubuQavgARLjOv2aCmVWBAJ7ENAxumzKtoVNZ/MvoOcYkfkEJd1VTdfDSsG1LFZDCg==" ,
"nonce" : 1513115728 ,
"dateTime" : "2024-05-23T05:20:19Z" ,
"publicKey" : "sG65Uno5V+Vm6XOXuwSuM5XMn+HgpqOZi+8PGaTIAMM=" ,
"body" : "{ \" transferId \" : \" fafd59e2-aff7-4cff-b7d8-9caa0cda70da \" , \" txid \" : \" ... \" }"
}
Name Required Type Description allianceName Required string Default: CODE apiType Required string SCREENINGrequest Required object Request Body
{
"allianceName" : "CODE" ,
"apiType" : "SCREENING" ,
"request" : {
"walletAddress" : "** WALLET ADDRESS **" ,
"chain" : "** CHAIN TYPE **"
}
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key body Required string Generated payload
{
"signature" : "rjhM+wJ2kzanjpTi7BAM5Lv7TsbYe+Qs+eTirbulbUNNvKWMPj76Lhpdutq8AP/wKItMKgT4jHh94x/S3YeLBA==" ,
"nonce" : 1694362784 ,
"dateTime" : "2025-08-12T07:33:25Z" ,
"publicKey" : "ILIszcJToqIA7DxHWMHLd5bhUx0QUV7m3KzWRX5sJ34=" ,
"body" : "{ \" walletAddress \" : \" sampleWallet \" , \" chain \" : \" ETH \" }"
}
Name Required Type Description allianceName Required string Only 'CODE' is allowed apiType Required string UNHOSTED_WALLET_VERIFICATIONrequest Required string Request Body
{
"allianceName" : "CODE" ,
"apiType" : "UNHOSTED_WALLET_VERIFICATION" ,
"request" : {
"blockchain" : "<<blockchain>>" ,
"asset" : "<<asset>>" ,
"address" : "<<address>>" ,
"customerIdentification" : "<<customerIdentification>>" ,
"widgetRenderingOrigin" : "widgetRenderingOrigin" ,
"callbackUrl" : "(Optional)<<calbackUrl>>"
}
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key body Required string Generated payload
{
"signature" : "JPtkm4oFhPEUz7yMXqDvNI1E0/PjXxgnQvflFhdV42otuppMPlUbneuWV4qcMr3Ib/uoATTIqJOUrl2oDqT/Bw==" ,
"nonce" : 53726960 ,
"dateTime" : "2026-01-29T06:29:08Z" ,
"publicKey" : "ILIszcJToqIA7DxHWMHLd5bhUx0QUV7m3KzWRX5sJ34=" ,
"body" : "{ \" blockchain \" : \" <<blockchain>> \" , \" asset \" : \" <<asset>> \" , \" address \" : \" <<address>> \" , \" customerIdentification \" : \" <<customerIdentification>> \" , \" widgetRenderingOrigin \" : \" <<widgetRenderingOrigin>> \" , \" callbackUrl \" : \" (Optional)<<callbackUrl>> \" }"
}
Name Required Type Description allianceName Required string Only 'CODE' is allowed apiType Required string UNHOSTED_WALLET_DATA
{
"allianceName" : "CODE" ,
"apiType" : "UNHOSTED_WALLET_DATA"
}
Name Required Type Description signature Required string Generated Signature nonce Required number Generated Nonce dateTime Required string Current datetime for request publicKey Required string Your Public Key
{
"signature" : "JPtkm4oFhPEUz7yMXqDvNI1E0/PjXxgnQvflFhdV42otuppMPlUbneuWV4qcMr3Ib/uoATTIqJOUrl2oDqT/Bw==" ,
"nonce" : 53726960 ,
"dateTime" : "2026-01-29T06:29:08Z" ,
"publicKey" : "ILIszcJToqIA7DxHWMHLd5bhUx0QUV7m3KzWRX5sJ34=" ,
}